<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
      if ( !loggedIn() ) { echo $L_003; }
      else
      {
        // Content Begin
          foreach ($_POST as $key => $value)
          {
            if (get_magic_quotes_gpc()) $$key = stripslashes($value);
            else $$key = $value;
          }
          if (!isset($_POST['SetupGuestbookEntriesUnlock'])) { $SetupGuestbookEntriesUnlock=0; }
          if (!isset($_POST['SetupGuestbookWriteSpamLog'])) { $SetupGuestbookWriteSpamLog=0; }
          
          // HTML- und PHP-Tags entfernen
          $GuestbookEntriesPerPage = strip_tags($GuestbookEntriesPerPage);
          $GuestbookMail = strip_tags($GuestbookMail);
          $GuestbookSpamDomains = strip_tags($GuestbookSpamDomains);
          $GuestbookSpamIPs = strip_tags($GuestbookSpamIPs);
          $GuestbookSpamWords = strip_tags($GuestbookSpamWords);
          $SetupGuestbookURL = strip_tags($SetupGuestbookURL);
          $SetupGuestbookFormURL = strip_tags($SetupGuestbookFormURL);
          $SetupGuestbookEmailURL = strip_tags($SetupGuestbookEmailURL);
          $SetupFrontendGuestbookDateFormat = strip_tags($SetupFrontendGuestbookDateFormat);
          
        	 if ( editSetupGuestbook ( $GuestbookEntriesPerPage,
                            $GuestbookMail,
                            $SetupGuestbookEntriesUnlock,
                            $GuestbookSpamDomains,
                            $GuestbookSpamIPs,
                            $GuestbookSpamWords,
                            $SetupGuestbookWriteSpamLog,
                            $SetupGuestbookURL,
                            $SetupGuestbookFormURL,
                            $SetupGuestbookEmailURL,
                            $SetupFrontendGuestbookDateFormat))
      	 {
        	   echo $L_057.'<br />';
      	 }
      	 else
      	 {
        	   echo $L_058.'<br />';
      	 }
        // Inhalt zuende
      }
    ?>